std::runtime_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::runtime_error:
[legend]

## Public Member Functions

| runtime_error (const char *) _GLIBCXX_TXN_SAFE
| runtime_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

One of two subclasses of exception.

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 197 of file stdexcept.

The documentation for this class was generated from the following file:

- stdexcept